rsvg2-sharp 2.16.0.0 2.18.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object To be added `using System; using Gtk; class SvgHelloWorld { static void Main (string[] args) { Application.Init (); MyMainWindow app = new MyMainWindow (); app.ShowAll (); Application.Run (); } } class MyMainWindow : Gtk.Window { public MyMainWindow () : base ("SVG Hello World") { this.DeleteEvent += new DeleteEventHandler (delete_event); string svg_file_name = "sample.svg"; Gdk.Pixbuf pixbuf = Rsvg.Tool.PixbufFromFile (svg_file_name); Image image = new Image (); image.Pixbuf = pixbuf; this.Add (image); } private void delete_event (object obj, DeleteEventArgs args) { Application.Quit (); } }`
- Constructor
  2.18.0.0
  Internal constructor
  Should never be used.
- Method
  2.18.0.0
  Gdk.Pixbuf `` a To be added a To be added
- Method
  2.18.0.0
  Gdk.Pixbuf `` `` `` a a a To be added a To be added
- Method
  2.18.0.0
  Gdk.Pixbuf `` `` `` a a a To be added a To be added
- Method
  2.18.0.0
  Gdk.Pixbuf `` `` `` a a a To be added a To be added
- Method
  2.18.0.0
  Gdk.Pixbuf `` `` `` `` `` a a a a a To be added a To be added